﻿<table style=" text-align: center; vertical-align: top">
    <tr>
        <td>
            @using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
            {

                @Html.DevExpress().UploadControl(
                Uploader =>
                {
                    Uploader.Name = "UploadButton";
                    Uploader.CallbackRouteValues = new { Controller = "LevelCaseMaster", Action = "CallbackUpload" };
                    Uploader.ShowProgressPanel = false;
                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                    Uploader.Width = 200;

                }).GetHtml()
            }
        </td>
        <td>
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "I_Upload";
                Button.Text = "Upload CSV";
                Button.Width = 120;
                Button.ClientSideEvents.Click = "UploadData";
                //Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("LevelCaseMaster", "FTR-SPEX-165-02", "Upload");

            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td align="left" style="padding-top:10px">
            @Html.DevExpress().HyperLink(Link =>
            {
                Link.Name = "I_DownloadLink";
                Link.Properties.Text = "Download Template";
                Link.Width = 160;
                //Link.Height = 20;
                Link.NavigateUrl = "Template/TemplateCaseMaster.csv";
                Link.Style.Add("display", "inline-table");
                //Button.ClientSideEvents.Click = "Upload";
                //Link.ClientVisible = false;//Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("LevelCaseMaster", "FTR-SPEX-165-03", "Upload");

            }).GetHtml()
        </td>
    </tr>
</table>

